Subject: Re: [PATCH] network configs: disconnect network options from drivers

From: "Randy.Dunlap" <[email-masked]>
Date: Mon, 04 Apr 2005 13:48:48 -0700

Hi Sam-

Sam Ravnborg wrote:
> On Sun, Apr 03, 2005 at 08:30:13PM -0700, Randy.Dunlap wrote:
> 
>>Any comments on this new version?
> 
> The new Networking menu looks unstructured.
> And the net/Kconfig file contains a lot of config snippets that does not
> belong there.
> So I took a stamp on it with focus on:
> - Move config bits to appropriate places, creating several new Kconfig
>   files
Very Good.

> - Made uses of menus more consistent at least on first and second level
Very Good again.

> - Move submenu to the top
> - Rename top menu to "Networking" and located it just before
>  "File systems"

I still prefer Networking to come before Device Drivers FWIW.
Just makes some kind of hierarchical sense to me.

> The patch became much larger. The win is that the top-level
> net/Kconfig contains much less cruft.
> 
> Many of the 56 lines added are due to the additional files.
> I did not (on purpose) change any functionality.
> 
> Only bit that I am worried about is the statement in SCTP:
> 	depends on IPV6 || IPV6=n
> 
> That looked like a noop to me. It had the sideeffect that SCTP
> menu entries where idented an extra level which was not desireable
> with currect layout.

Yeah, I was having several identation problems.

> Comments appreciated.

Nice job overall.  Especially nice to move ATM, bridge, DECNET,
ECONET, etc., to their own Kconfig files so that they are more
manageable.

I propose that the new file net/atm/Kconfig be sourced somewhere.

I'll look at it more to see if I have any other comments.

> Patch on top of rc2.
> 
> Signed-off-by: Sam Ravnborg <[email-masked]>
> ---
> 
> 
> 	Sam
> 	
>  drivers/Kconfig               |    5 
>  drivers/net/Kconfig           |    5 
>  drivers/net/appletalk/Kconfig |   28 ++
>  net/8021q/Kconfig             |   21 +
>  net/Kconfig                   |  541 +++---------------------------------------
>  net/atm/Kconfig               |   77 +++++
>  net/bridge/Kconfig            |   32 ++
>  net/bridge/netfilter/Kconfig  |    1 
>  net/core/Kconfig              |   67 +++++
>  net/decnet/Kconfig            |   24 +
>  net/econet/Kconfig            |   34 ++
>  net/ipv4/netfilter/Kconfig    |    5 
>  net/ipv6/Kconfig              |   20 +
>  net/ipx/Kconfig               |   33 ++
>  net/lapb/Kconfig              |   24 +
>  net/packet/Kconfig            |   26 ++
>  net/sched/Kconfig             |   40 +++
>  net/sctp/Kconfig              |    5 
>  net/unix/Kconfig              |   22 +
>  net/wanrouter/Kconfig         |   31 ++
>  net/x25/Kconfig               |   35 ++
>  21 files changed, 567 insertions(+), 509 deletions(-)

Thanks!

-- 
~Randy